Index: protocols/jabber/jabber.c
===================================================================
--- protocols/jabber/jabber.c	(revision b0eaa5b5a0ab866791992f6f1d7f011d012d103d)
+++ protocols/jabber/jabber.c	(revision f6c963b97d3f686ca5410f1896cf8e266b455c22)
@@ -219,5 +219,5 @@
 }
 
-static int jabber_send_im( struct im_connection *ic, char *who, char *message, int flags )
+static int jabber_buddy_msg( struct im_connection *ic, char *who, char *message, int flags )
 {
 	struct jabber_data *jd = ic->proto_data;
@@ -386,5 +386,5 @@
 	ret->init = jabber_init;
 	ret->logout = jabber_logout;
-	ret->send_im = jabber_send_im;
+	ret->buddy_msg = jabber_buddy_msg;
 	ret->away_states = jabber_away_states;
 //	ret->get_status_string = jabber_get_status_string;
@@ -394,5 +394,5 @@
 	ret->add_buddy = jabber_add_buddy;
 	ret->remove_buddy = jabber_remove_buddy;
-//	ret->chat_send = jabber_chat_send;
+//	ret->chat_msg = jabber_chat_msg;
 //	ret->chat_invite = jabber_chat_invite;
 //	ret->chat_leave = jabber_chat_leave;
Index: protocols/msn/msn.c
===================================================================
--- protocols/msn/msn.c	(revision b0eaa5b5a0ab866791992f6f1d7f011d012d103d)
+++ protocols/msn/msn.c	(revision f6c963b97d3f686ca5410f1896cf8e266b455c22)
@@ -122,5 +122,5 @@
 }
 
-static int msn_send_im( struct im_connection *ic, char *who, char *message, int away )
+static int msn_buddy_msg( struct im_connection *ic, char *who, char *message, int away )
 {
 	struct msn_switchboard *sb;
@@ -231,5 +231,5 @@
 }
 
-static void msn_chat_send( struct groupchat *c, char *message, int flags )
+static void msn_chat_msg( struct groupchat *c, char *message, int flags )
 {
 	struct msn_switchboard *sb = msn_sb_by_chat( c );
@@ -343,5 +343,5 @@
 {
 	if( typing )
-		return( msn_send_im( ic, who, TYPING_NOTIFICATION_MESSAGE, 0 ) );
+		return( msn_buddy_msg( ic, who, TYPING_NOTIFICATION_MESSAGE, 0 ) );
 	else
 		return( 1 );
@@ -387,5 +387,5 @@
 	ret->init = msn_init;
 	ret->logout = msn_logout;
-	ret->send_im = msn_send_im;
+	ret->buddy_msg = msn_buddy_msg;
 	ret->away_states = msn_away_states;
 	ret->set_away = msn_set_away;
@@ -394,5 +394,5 @@
 	ret->add_buddy = msn_add_buddy;
 	ret->remove_buddy = msn_remove_buddy;
-	ret->chat_send = msn_chat_send;
+	ret->chat_msg = msn_chat_msg;
 	ret->chat_invite = msn_chat_invite;
 	ret->chat_leave = msn_chat_leave;
Index: protocols/nogaim.c
===================================================================
--- protocols/nogaim.c	(revision b0eaa5b5a0ab866791992f6f1d7f011d012d103d)
+++ protocols/nogaim.c	(revision f6c963b97d3f686ca5410f1896cf8e266b455c22)
@@ -282,5 +282,4 @@
 void cancel_auto_reconnect( account_t *a )
 {
-	/* while( b_event_remove_by_data( (gpointer) a ) ); */
 	b_event_remove( a->reconnect );
 	a->reconnect = 0;
@@ -948,5 +947,5 @@
 	}
 	
-	st = ic->acc->prpl->send_im( ic, handle, msg, flags );
+	st = ic->acc->prpl->buddy_msg( ic, handle, msg, flags );
 	g_free( buf );
 	
@@ -964,5 +963,5 @@
 	}
 	
-	c->ic->acc->prpl->chat_send( c, msg, flags );
+	c->ic->acc->prpl->chat_msg( c, msg, flags );
 	g_free( buf );
 	
Index: protocols/nogaim.h
===================================================================
--- protocols/nogaim.h	(revision b0eaa5b5a0ab866791992f6f1d7f011d012d103d)
+++ protocols/nogaim.h	(revision f6c963b97d3f686ca5410f1896cf8e266b455c22)
@@ -134,5 +134,5 @@
 	void (* logout)		(struct im_connection *);
 	
-	int  (* send_im)	(struct im_connection *, char *to, char *message, int flags);
+	int  (* buddy_msg)	(struct im_connection *, char *to, char *message, int flags);
 	void (* set_away)	(struct im_connection *, char *state, char *message);
 	void (* get_away)       (struct im_connection *, char *who);
@@ -160,5 +160,5 @@
 	void (* chat_invite)	(struct groupchat *, char *who, char *message);
 	void (* chat_leave)	(struct groupchat *);
-	void (* chat_send)	(struct groupchat *, char *message, int flags);
+	void (* chat_msg)	(struct groupchat *, char *message, int flags);
 	struct groupchat *
 	     (* chat_with)	(struct im_connection *, char *who);
@@ -175,6 +175,6 @@
 void nogaim_init();
 G_MODULE_EXPORT GSList *get_connections();
-G_MODULE_EXPORT struct prpl *find_protocol(const char *name);
-G_MODULE_EXPORT void register_protocol(struct prpl *);
+G_MODULE_EXPORT struct prpl *find_protocol( const char *name );
+G_MODULE_EXPORT void register_protocol( struct prpl * );
 
 /* Connection management. */
Index: protocols/oscar/oscar.c
===================================================================
--- protocols/oscar/oscar.c	(revision b0eaa5b5a0ab866791992f6f1d7f011d012d103d)
+++ protocols/oscar/oscar.c	(revision f6c963b97d3f686ca5410f1896cf8e266b455c22)
@@ -1808,5 +1808,5 @@
 }
 
-static int oscar_send_im(struct im_connection *ic, char *name, char *message, int imflags) {
+static int oscar_buddy_msg(struct im_connection *ic, char *name, char *message, int imflags) {
 	struct oscar_data *odata = (struct oscar_data *)ic->proto_data;
 	int ret = 0, len = strlen(message);
@@ -2451,5 +2451,5 @@
 }
 
-void oscar_chat_send(struct groupchat *c, char *message, int msgflags)
+void oscar_chat_msg(struct groupchat *c, char *message, int msgflags)
 {
 	struct im_connection *ic = c->ic;
@@ -2590,5 +2590,5 @@
 	ret->keepalive = oscar_keepalive;
 	ret->logout = oscar_logout;
-	ret->send_im = oscar_send_im;
+	ret->buddy_msg = oscar_buddy_msg;
 	ret->get_info = oscar_get_info;
 	ret->set_away = oscar_set_away;
@@ -2596,5 +2596,5 @@
 	ret->add_buddy = oscar_add_buddy;
 	ret->remove_buddy = oscar_remove_buddy;
-	ret->chat_send = oscar_chat_send;
+	ret->chat_msg = oscar_chat_msg;
 	ret->chat_invite = oscar_chat_invite;
 	ret->chat_leave = oscar_chat_leave;
Index: protocols/yahoo/yahoo.c
===================================================================
--- protocols/yahoo/yahoo.c	(revision b0eaa5b5a0ab866791992f6f1d7f011d012d103d)
+++ protocols/yahoo/yahoo.c	(revision f6c963b97d3f686ca5410f1896cf8e266b455c22)
@@ -174,5 +174,5 @@
 }
 
-static int byahoo_send_im( struct im_connection *ic, char *who, char *what, int flags )
+static int byahoo_buddy_msg( struct im_connection *ic, char *who, char *what, int flags )
 {
 	struct byahoo_data *yd = ic->proto_data;
@@ -299,5 +299,5 @@
 }
 
-static void byahoo_chat_send( struct groupchat *c, char *message, int flags )
+static void byahoo_chat_msg( struct groupchat *c, char *message, int flags )
 {
 	struct byahoo_data *yd = (struct byahoo_data *) c->ic->proto_data;
@@ -354,5 +354,5 @@
 	ret->logout = byahoo_logout;
 	
-	ret->send_im = byahoo_send_im;
+	ret->buddy_msg = byahoo_buddy_msg;
 	ret->get_info = byahoo_get_info;
 	ret->away_states = byahoo_away_states;
@@ -362,5 +362,5 @@
 	ret->send_typing = byahoo_send_typing;
 	
-	ret->chat_send = byahoo_chat_send;
+	ret->chat_msg = byahoo_chat_msg;
 	ret->chat_invite = byahoo_chat_invite;
 	ret->chat_leave = byahoo_chat_leave;
